let
  pkgs = import <nixpkgs> {};
  nmigen-latest = pkgs.python3Packages.nmigen.overrideAttrs(oa: {
    src = pkgs.fetchFromGitHub {
      owner = "m-labs";
      repo = "nmigen";
      rev = "39602ae3fdd143f3aa130278fb185cf3ff98d6da";
      sha256 = "1b0rjbb6is6nzbcnxrwh5iv4k9xcac0ijq5kp47wdg9rhbnaa5w0";
    };
  });
in
  pkgs.mkShell {
    buildInputs = [
      (pkgs.python3.withPackages(ps: [nmigen-latest]))
      pkgs.yosys pkgs.symbiyosys
    ];
  }
